%define         configfilename        sample.wmsmixer

Name:           wmsmixer
Version:        0.5.1
Release:        %mkrel 10
Summary:        A dock application that is another small sound mixer
License:        GPLv2
Group:          Sound/Mixers

URL:            https://www.dockapps.net/wmsmixer
Source0:        https://distro.ibiblio.org/pub/linux/distributions/amigolinux/download/DockApps/wmsmixer-0.5.1/%{name}-%{version}.tar.bz2
#fix obsolete compilation flags
Patch0:         wmsmixer-0.5.1-Imakefile.patch

BuildRequires:  imake
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)

#needs /dev/mixer to work
Recommends:      alsa-oss
Recommends:      ossp 



%description
Wmsmixer is another dock application mixer designed to adjust the
sound levels under OSS compatibility. You can either use the genuine
OSS layer of ALSA or the OSS Proxy Daemon under PULSE. Most common
channels are identified with an appropriate icon and controls include
a stereo (mono when appropriate) volume control and a recording source
toggle button. Some features can be specified through an configuration
file assumed to reside in your home directory, an example of which
being provided in %{_datadir}/%{name}/%{configfilename}.



%prep
%setup -q 
%autopatch -p0

%build
xmkmf
%make_build CXXFLAGS="%optflags" LDLIBS="%ldflags" %{name}


%install
%make_install
install -D -m 644 home.wmsmixer %{buildroot}%{_datadir}/%{name}/%configfilename

%files
%doc README COPYING README.wmmixer
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}




%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.5.1-10.mga9
+ Revision: 1835120
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.5.1-9.mga8
+ Revision: 1518210
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-8.mga7
+ Revision: 1301701
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.5.1-7.mga6
+ Revision: 938405
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 750122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-5.mga5
+ Revision: 690348
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-4.mga4
+ Revision: 520247
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.1-3.mga3
+ Revision: 385779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.5.1-2.mga3
+ Revision: 314685
- Fix obsolete group
- Rebuild for mga3

* Fri Nov 11 2011 eatdirt <eatdirt> 0.5.1-1.mga2
+ Revision: 166735
- imported package wmsmixer


* Fri Nov 11 2011 Chris Ringeval <dirteat@gmail.com> 0.5.1-1.mga2
- import wmsmixer
